<ng-container [ngSwitch]="entity.type" *ngIf="entity">
  <ng-container *ngSwitchCase="'user'">
    <ng-template dynamic-host></ng-template>
  </ng-container>
  <ng-container *ngSwitchCase="'group'">
    <ng-template dynamic-host></ng-template>
  </ng-container>

  <ng-container *ngSwitchDefault>
    <minds-activity
      [object]="entity"
      [boostToggle]="entity.boostToggle"
      (delete)="delete(entity)"
      [showRatingToggle]="true"
      [slot]="slot"
      class="mdl-card m-border item"
    ></minds-activity>
  </ng-container>
</ng-container>
